Package org.eclipse.graphiti.features.context

# Interface IPictogramElementsContext

All Superinterfaces:
  `IContext`, `IPropertyBag`

All Known Subinterfaces:
  `ICopyContext`, `IPasteContext`

All Known Implementing Classes:
  `CopyContext`, `PasteContext`, `PictogramElementsContext`

public interface IPictogramElementsContext extends IContext
The Interface IPictogramElementsContext.

## Method Summary

Modifier and Type
Method
Description
`PictogramElement[]`
`getPictogramElements()`
Gets the pictogram elements.
`void`
`setPictogramElements(PictogramElement[] pes)`
Sets the pictogram elements.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Method Details

### getPictogramElements

PictogramElement[] getPictogramElements()
Gets the pictogram elements.

Returns:
  the pictogram elements

### setPictogramElements

void setPictogramElements(PictogramElement[] pes)
Sets the pictogram elements.

Parameters:
  `pes` - the new pictogram elements